import { PayloadAction } from '@reduxjs/toolkit';
import { AuthAttributes, AuthRootState, ModifyAuthAttributePayload } from './types';
export declare const slice: import("@reduxjs/toolkit").Slice<AuthAttributes, {
    setAuthAttributes: (state: {
        accessExpiresIn?: number | undefined;
        idToken?: string | undefined;
        refreshExpiresIn?: number | undefined;
        sessionState?: string | undefined;
        accessToken?: string | undefined;
        authenticated?: boolean | undefined;
        refreshToken?: string | undefined;
    }, action: PayloadAction<AuthAttributes<any>>) => any;
    updateAuthAttribute: {
        prepare: (key: any, value: any) => {
            payload: {
                key: any;
                value: any;
            };
        };
        reducer: (state: {
            accessExpiresIn?: number | undefined;
            idToken?: string | undefined;
            refreshExpiresIn?: number | undefined;
            sessionState?: string | undefined;
            accessToken?: string | undefined;
            authenticated?: boolean | undefined;
            refreshToken?: string | undefined;
        }, action: PayloadAction<ModifyAuthAttributePayload>) => void;
    };
    resetAuthAttributes: () => AuthAttributes;
}, "auth", "auth", import("@reduxjs/toolkit").SliceSelectors<AuthAttributes>>;
export declare const resetAuthAttributes: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"auth/resetAuthAttributes">;
export declare const setAuthAttributes: <T>(attrs: AuthAttributes<T>) => {
    payload: AuthAttributes<T>;
    type: string;
};
export declare const updateAuthAttribute: <T>(key: "accessToken" | "authenticated" | "refreshToken" | keyof T, value: unknown) => {
    payload: ModifyAuthAttributePayload<T>;
    type: string;
};
export declare const getAuthAttributes: <T>(state: AuthRootState<T>) => AuthAttributes<T>;
